Package org.eclipse.microprofile.metrics.tck.metrics

## Class TimerTest

- java.lang.Object
- - org.eclipse.microprofile.metrics.tck.metrics.TimerTest

    public class TimerTest
    extends Object

### Constructor Summary

Constructors
`TimerTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.jboss.shrinkwrap.api.spec.WebArchive` `createDeployment()`
`void` `initData()`
`void` `testSnapshot50thPercentile()`
`void` `testSnapshot75thPercentile()`
`void` `testSnapshot95thPercentile()`
`void` `testSnapshot98thPercentile()`
`void` `testSnapshot999thPercentile()`
`void` `testSnapshot99thPercentile()`
`void` `testSnapshotMax()`
`void` `testSnapshotMean()`
`void` `testSnapshotPercentileValuesPresent()`
`void` `testSnapshotSize()`
`void` `testTime()`
`void` `testTimerRegistry()`
`void` `timesCallableInstances()`
`void` `timesRunnableInstances()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TimerTest

    public TimerTest()

### Method Detail

#### createDeployment

    @Deployment
    public static org.jboss.shrinkwrap.api.spec.WebArchive createDeployment()

#### initData

    public void initData()

#### testTime

    @InSequence(1)
    public void testTime()
                  throws Exception

Throws:
  `Exception`

#### testTimerRegistry

    @InSequence(2)
    public void testTimerRegistry()
                           throws Exception

Throws:
  `Exception`

#### timesCallableInstances

    @InSequence(3)
    public void timesCallableInstances()
                                throws Exception

Throws:
  `Exception`

#### timesRunnableInstances

    @InSequence(4)
    public void timesRunnableInstances()
                                throws Exception

Throws:
  `Exception`

#### testSnapshotPercentileValuesPresent

    public void testSnapshotPercentileValuesPresent()
                                             throws Exception

Throws:
  `Exception`

#### testSnapshot50thPercentile

    public void testSnapshot50thPercentile()
                                    throws Exception

Throws:
  `Exception`

#### testSnapshot75thPercentile

    public void testSnapshot75thPercentile()
                                    throws Exception

Throws:
  `Exception`

#### testSnapshot95thPercentile

    public void testSnapshot95thPercentile()
                                    throws Exception

Throws:
  `Exception`

#### testSnapshot98thPercentile

    public void testSnapshot98thPercentile()
                                    throws Exception

Throws:
  `Exception`

#### testSnapshot99thPercentile

    public void testSnapshot99thPercentile()
                                    throws Exception

Throws:
  `Exception`

#### testSnapshot999thPercentile

    public void testSnapshot999thPercentile()
                                     throws Exception

Throws:
  `Exception`

#### testSnapshotMax

    public void testSnapshotMax()
                         throws Exception

Throws:
  `Exception`

#### testSnapshotMean

    public void testSnapshotMean()
                          throws Exception

Throws:
  `Exception`

#### testSnapshotSize

    public void testSnapshotSize()
                          throws Exception

Throws:
  `Exception`